Bug 1223831 - Review Request: jersey1 - JAX-RS (JSR 311) production quality Reference Implementation
Summary: Review Request: jersey1 - JAX-RS (JSR 311) production quality Reference Imple...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland Grunberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1218315
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-21 13:47 UTC by gil cattaneo
Modified: 2015-05-28 16:46 UTC (History)
1 user (show)

Fixed In Version: 1.19-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-28 16:46:37 UTC
Type: ---
rgrunber: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2015-05-21 13:47:47 UTC
Spec URL: https://gil.fedorapeople.org/jersey1.spec
SRPM URL: https://gil.fedorapeople.org/jersey1-1.19-1.fc20.src.rpm
Description:
Jersey is the open source JAX-RS (JSR 311)
production quality Reference Implementation
for building RESTful Web services.
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9817315

Comment 1 Roland Grunberg 2015-05-22 17:36:05 UTC
I can review this. It seems to be the same as jersey from f22 branch, with mainly  the BRs switched to using the "mvn(...)" form, as per newer packaging guidelines.

I would assume your intention is to basically upgrade the normal jersey package to 2.x ? Is there any chance of getting this into f22 as well ?

Comment 2 gil cattaneo 2015-05-22 17:41:38 UTC
(In reply to Roland Grunberg from comment #1)

> I would assume your intention is to basically upgrade the normal jersey
> package to 2.x ? Is there any chance of getting this into f22 as well ?
Yes, https://bugzilla.redhat.com/show_bug.cgi?id=1218315

Comment 3 gil cattaneo 2015-05-22 17:41:57 UTC
Thanks!

Comment 4 Roland Grunberg 2015-05-25 14:38:05 UTC
[!]  Reviewer should test that the package builds in mock.

This package seems to be ftbfs for me for f22, and rawhide :

= f22 =

Error: No Package found for mvn(com.google.inject.extensions:extensions-parent:pom:)

guice 4.0 isn't in f22 (yet?), but there is "mvn(org.sonatype.sisu.inject:extensions-parent:pom:)" for 3.2.5 on f22.

= rawhide =

[ERROR] Failed to execute goal on project jersey-servlet: Could not resolve dependencies for project com.sun.jersey:jersey-servlet:jar:1.19: Cannot access repository.jboss.org (http://repository.jboss.org/nexus/content/groups/public/) in offline mode and the artifact javax.el:el-api:jar:2.2 has not been downloaded from it before. -> [Help 1]

Has something changed recently for rawhide ? (my rawhide mock config pulls from the latest koji-generated yum repo)

Comment 5 gil cattaneo 2015-05-25 14:52:13 UTC
(In reply to Roland Grunberg from comment #4)
> [!]  Reviewer should test that the package builds in mock.
> 
> This package seems to be ftbfs for me for f22, and rawhide :
> 
> = f22 =
> 
> Error: No Package found for
> mvn(com.google.inject.extensions:extensions-parent:pom:)
> 
> guice 4.0 isn't in f22 (yet?), but there is
> "mvn(org.sonatype.sisu.inject:extensions-parent:pom:)" for 3.2.5 on f22.

Fixed

> = rawhide =
> 
> [ERROR] Failed to execute goal on project jersey-servlet: Could not resolve
> dependencies for project com.sun.jersey:jersey-servlet:jar:1.19: Cannot
> access repository.jboss.org
> (http://repository.jboss.org/nexus/content/groups/public/) in offline mode
> and the artifact javax.el:el-api:jar:2.2 has not been downloaded from it
> before. -> [Help 1]
Fixed, depend on RHBZ#1223468
> Has something changed recently for rawhide ? (my rawhide mock config pulls
> from the latest koji-generated yum repo)

Spec URL: https://gil.fedorapeople.org/jersey1.spec
SRPM URL: https://gil.fedorapeople.org/jersey1-1.19-1.fc20.src.rpm

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9842417

Comment 6 Roland Grunberg 2015-05-25 19:04:32 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/share/java/jersey1
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles

  Looks like '%files -f .mfiles' handles '%dir %{_javadir}/%{name}' already ?
  I would just remove the %dir statement if that's the case since it doesn't
  really need to be there.
  
- Is '%global with_grizzly 1' still needed ? I don't see it being used


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "CDDL", "Unknown or generated", "*No
     copyright* LGPL (v2.1 or later)". 2093 files have unknown license.
     Detailed output of licensecheck in
     /notnfs/tmp/review/1223831-jersey1/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/ant.d
     
     $ rpm -qf /etc/ant.d/
     ant-1.9.4-3.fc21.noarch
[x]: Package contains no bundled libraries without FPC exception.
[-]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
     These are auto-generated by XMvn
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jersey1
     -test-framework , jersey1-contribs , jersey1-javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jersey1-1.19-1.fc23.noarch.rpm
          jersey1-test-framework-1.19-1.fc23.noarch.rpm
          jersey1-contribs-1.19-1.fc23.noarch.rpm
          jersey1-javadoc-1.19-1.fc23.noarch.rpm
          jersey1-1.19-1.fc23.src.rpm
jersey1-test-framework.noarch: W: no-documentation
jersey1-contribs.noarch: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
jersey1-contribs.noarch: W: no-documentation
jersey1-test-framework.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
jersey1-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

jersey1-contribs (rpmlib, GLIBC filtered):
    config(jersey1-contribs)
    java-headless
    jpackage-utils
    mvn(com.google.inject.extensions:guice-servlet)
    mvn(com.google.inject:guice)
    mvn(com.sun.jersey:jersey-client:1.19)
    mvn(com.sun.jersey:jersey-core:1.19)
    mvn(com.sun.jersey:jersey-json:1.19)
    mvn(com.sun.jersey:jersey-server:1.19)
    mvn(com.sun.jersey:jersey-servlet:1.19)
    mvn(com.sun.xml.bind:jaxb-impl)
    mvn(com.sun:tools)
    mvn(commons-httpclient:commons-httpclient)
    mvn(javax.inject:javax.inject)
    mvn(javax.ws.rs:jsr311-api)
    mvn(org.apache.httpcomponents:httpclient)
    mvn(org.codehaus.jackson:jackson-core-asl)
    mvn(org.codehaus.jackson:jackson-jaxrs)
    mvn(org.codehaus.jackson:jackson-mapper-asl)
    mvn(org.codehaus.jackson:jackson-xc)
    mvn(org.eclipse.persistence:eclipselink)
    mvn(org.freemarker:freemarker)
    mvn(org.jvnet.mimepull:mimepull)
    mvn(org.springframework:spring-aop)
    mvn(org.springframework:spring-beans)
    mvn(org.springframework:spring-context)
    mvn(org.springframework:spring-core)
    mvn(org.springframework:spring-web)
    mvn(xerces:xercesImpl)

jersey1 (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.sun.xml.bind:jaxb-impl)
    mvn(com.sun.xml.fastinfoset:FastInfoset)
    mvn(javax.servlet:javax.servlet-api)
    mvn(javax.ws.rs:jsr311-api)
    mvn(jdom:jdom)
    mvn(org.apache.tomcat:tomcat-jasper-el)
    mvn(org.codehaus.jackson:jackson-core-asl)
    mvn(org.codehaus.jackson:jackson-jaxrs)
    mvn(org.codehaus.jackson:jackson-mapper-asl)
    mvn(org.codehaus.jackson:jackson-xc)
    mvn(org.codehaus.jettison:jettison)
    mvn(org.glassfish.grizzly:grizzly-http)
    mvn(org.glassfish.grizzly:grizzly-http-server)
    mvn(org.glassfish.grizzly:grizzly-http-servlet)
    mvn(org.jboss.spec.javax.el:jboss-el-api_2.2_spec)
    mvn(org.ow2.asm:asm)
    mvn(rome:rome)

jersey1-test-framework (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.sun.jersey:jersey-client:1.19)
    mvn(com.sun.jersey:jersey-grizzly2-servlet:1.19)
    mvn(com.sun.jersey:jersey-servlet:1.19)
    mvn(javax.servlet:javax.servlet-api)
    mvn(junit:junit)



Provides
--------
jersey1-javadoc:
    jersey1-javadoc

jersey1-contribs:
    config(jersey1-contribs)
    jersey1-contribs
    mvn(com.sun.jersey.contribs.jersey-oauth:jersey-oauth:pom:1)
    mvn(com.sun.jersey.contribs.jersey-oauth:jersey-oauth:pom:1.19)
    mvn(com.sun.jersey.contribs.jersey-oauth:oauth-client:1)
    mvn(com.sun.jersey.contribs.jersey-oauth:oauth-client:1.19)
    mvn(com.sun.jersey.contribs.jersey-oauth:oauth-client:pom:1)
    mvn(com.sun.jersey.contribs.jersey-oauth:oauth-client:pom:1.19)
    mvn(com.sun.jersey.contribs.jersey-oauth:oauth-server:1)
    mvn(com.sun.jersey.contribs.jersey-oauth:oauth-server:1.19)
    mvn(com.sun.jersey.contribs.jersey-oauth:oauth-server:pom:1)
    mvn(com.sun.jersey.contribs.jersey-oauth:oauth-server:pom:1.19)
    mvn(com.sun.jersey.contribs.jersey-oauth:oauth-signature:1)
    mvn(com.sun.jersey.contribs.jersey-oauth:oauth-signature:1.19)
    mvn(com.sun.jersey.contribs.jersey-oauth:oauth-signature:pom:1)
    mvn(com.sun.jersey.contribs.jersey-oauth:oauth-signature:pom:1.19)
    mvn(com.sun.jersey.contribs:ant-wadl-task:1)
    mvn(com.sun.jersey.contribs:ant-wadl-task:1.19)
    mvn(com.sun.jersey.contribs:ant-wadl-task:pom:1)
    mvn(com.sun.jersey.contribs:ant-wadl-task:pom:1.19)
    mvn(com.sun.jersey.contribs:jersey-apache-client4:1)
    mvn(com.sun.jersey.contribs:jersey-apache-client4:1.19)
    mvn(com.sun.jersey.contribs:jersey-apache-client4:pom:1)
    mvn(com.sun.jersey.contribs:jersey-apache-client4:pom:1.19)
    mvn(com.sun.jersey.contribs:jersey-apache-client:1)
    mvn(com.sun.jersey.contribs:jersey-apache-client:1.19)
    mvn(com.sun.jersey.contribs:jersey-apache-client:pom:1)
    mvn(com.sun.jersey.contribs:jersey-apache-client:pom:1.19)
    mvn(com.sun.jersey.contribs:jersey-contribs:pom:1)
    mvn(com.sun.jersey.contribs:jersey-contribs:pom:1.19)
    mvn(com.sun.jersey.contribs:jersey-freemarker:1)
    mvn(com.sun.jersey.contribs:jersey-freemarker:1.19)
    mvn(com.sun.jersey.contribs:jersey-freemarker:pom:1)
    mvn(com.sun.jersey.contribs:jersey-freemarker:pom:1.19)
    mvn(com.sun.jersey.contribs:jersey-guice:1)
    mvn(com.sun.jersey.contribs:jersey-guice:1.19)
    mvn(com.sun.jersey.contribs:jersey-guice:pom:1)
    mvn(com.sun.jersey.contribs:jersey-guice:pom:1.19)
    mvn(com.sun.jersey.contribs:jersey-moxy:1)
    mvn(com.sun.jersey.contribs:jersey-moxy:1.19)
    mvn(com.sun.jersey.contribs:jersey-moxy:pom:1)
    mvn(com.sun.jersey.contribs:jersey-moxy:pom:1.19)
    mvn(com.sun.jersey.contribs:jersey-multipart:1)
    mvn(com.sun.jersey.contribs:jersey-multipart:1.19)
    mvn(com.sun.jersey.contribs:jersey-multipart:pom:1)
    mvn(com.sun.jersey.contribs:jersey-multipart:pom:1.19)
    mvn(com.sun.jersey.contribs:jersey-spring:1)
    mvn(com.sun.jersey.contribs:jersey-spring:1.19)
    mvn(com.sun.jersey.contribs:jersey-spring:pom:1)
    mvn(com.sun.jersey.contribs:jersey-spring:pom:1.19)
    mvn(com.sun.jersey.contribs:jersey-wadl-json-schema:1)
    mvn(com.sun.jersey.contribs:jersey-wadl-json-schema:1.19)
    mvn(com.sun.jersey.contribs:jersey-wadl-json-schema:pom:1)
    mvn(com.sun.jersey.contribs:jersey-wadl-json-schema:pom:1.19)
    mvn(com.sun.jersey.contribs:wadl-resourcedoc-doclet:1)
    mvn(com.sun.jersey.contribs:wadl-resourcedoc-doclet:1.19)
    mvn(com.sun.jersey.contribs:wadl-resourcedoc-doclet:pom:1)
    mvn(com.sun.jersey.contribs:wadl-resourcedoc-doclet:pom:1.19)
    osgi(com.sun.jersey.contribs.ant-wadl-task)
    osgi(com.sun.jersey.contribs.jersey-apache-client)
    osgi(com.sun.jersey.contribs.jersey-apache-client4)
    osgi(com.sun.jersey.contribs.jersey-freemarker)
    osgi(com.sun.jersey.contribs.jersey-guice)
    osgi(com.sun.jersey.contribs.jersey-moxy)
    osgi(com.sun.jersey.contribs.jersey-multipart)
    osgi(com.sun.jersey.contribs.jersey-oauth.oauth-client)
    osgi(com.sun.jersey.contribs.jersey-oauth.oauth-server)
    osgi(com.sun.jersey.contribs.jersey-oauth.oauth-signature)
    osgi(com.sun.jersey.contribs.jersey-spring)
    osgi(com.sun.jersey.contribs.jersey-wadl-json-schema)
    osgi(com.sun.jersey.contribs.wadl-resourcedoc-doclet)

jersey1:
    jersey1
    mvn(com.sun.jersey:jersey-atom:1)
    mvn(com.sun.jersey:jersey-atom:1.19)
    mvn(com.sun.jersey:jersey-atom:pom:1)
    mvn(com.sun.jersey:jersey-atom:pom:1.19)
    mvn(com.sun.jersey:jersey-client:1)
    mvn(com.sun.jersey:jersey-client:1.19)
    mvn(com.sun.jersey:jersey-client:pom:1)
    mvn(com.sun.jersey:jersey-client:pom:1.19)
    mvn(com.sun.jersey:jersey-core:1)
    mvn(com.sun.jersey:jersey-core:1.19)
    mvn(com.sun.jersey:jersey-core:pom:1)
    mvn(com.sun.jersey:jersey-core:pom:1.19)
    mvn(com.sun.jersey:jersey-fastinfoset:1)
    mvn(com.sun.jersey:jersey-fastinfoset:1.19)
    mvn(com.sun.jersey:jersey-fastinfoset:pom:1)
    mvn(com.sun.jersey:jersey-fastinfoset:pom:1.19)
    mvn(com.sun.jersey:jersey-grizzly2-servlet:1)
    mvn(com.sun.jersey:jersey-grizzly2-servlet:1.19)
    mvn(com.sun.jersey:jersey-grizzly2-servlet:pom:1)
    mvn(com.sun.jersey:jersey-grizzly2-servlet:pom:1.19)
    mvn(com.sun.jersey:jersey-grizzly2:1)
    mvn(com.sun.jersey:jersey-grizzly2:1.19)
    mvn(com.sun.jersey:jersey-grizzly2:pom:1)
    mvn(com.sun.jersey:jersey-grizzly2:pom:1.19)
    mvn(com.sun.jersey:jersey-json:1)
    mvn(com.sun.jersey:jersey-json:1.19)
    mvn(com.sun.jersey:jersey-json:pom:1)
    mvn(com.sun.jersey:jersey-json:pom:1.19)
    mvn(com.sun.jersey:jersey-project:pom:1)
    mvn(com.sun.jersey:jersey-project:pom:1.19)
    mvn(com.sun.jersey:jersey-server-linking:1)
    mvn(com.sun.jersey:jersey-server-linking:1.19)
    mvn(com.sun.jersey:jersey-server-linking:pom:1)
    mvn(com.sun.jersey:jersey-server-linking:pom:1.19)
    mvn(com.sun.jersey:jersey-server:1)
    mvn(com.sun.jersey:jersey-server:1.19)
    mvn(com.sun.jersey:jersey-server:pom:1)
    mvn(com.sun.jersey:jersey-server:pom:1.19)
    mvn(com.sun.jersey:jersey-servlet:1)
    mvn(com.sun.jersey:jersey-servlet:1.19)
    mvn(com.sun.jersey:jersey-servlet:pom:1)
    mvn(com.sun.jersey:jersey-servlet:pom:1.19)
    osgi(com.sun.jersey.atom)
    osgi(com.sun.jersey.client)
    osgi(com.sun.jersey.core)
    osgi(com.sun.jersey.fastinfoset)
    osgi(com.sun.jersey.grizzly2)
    osgi(com.sun.jersey.grizzly2-servlet)
    osgi(com.sun.jersey.jersey-server)
    osgi(com.sun.jersey.json)
    osgi(com.sun.jersey.server-linking)
    osgi(com.sun.jersey.servlet)

jersey1-test-framework:
    jersey1-test-framework
    mvn(com.sun.jersey.jersey-test-framework:jersey-test-framework-core:1)
    mvn(com.sun.jersey.jersey-test-framework:jersey-test-framework-core:1.19)
    mvn(com.sun.jersey.jersey-test-framework:jersey-test-framework-core:pom:1)
    mvn(com.sun.jersey.jersey-test-framework:jersey-test-framework-core:pom:1.19)
    mvn(com.sun.jersey.jersey-test-framework:jersey-test-framework-external:1)
    mvn(com.sun.jersey.jersey-test-framework:jersey-test-framework-external:1.19)
    mvn(com.sun.jersey.jersey-test-framework:jersey-test-framework-external:pom:1)
    mvn(com.sun.jersey.jersey-test-framework:jersey-test-framework-external:pom:1.19)
    mvn(com.sun.jersey.jersey-test-framework:jersey-test-framework-grizzly2:1)
    mvn(com.sun.jersey.jersey-test-framework:jersey-test-framework-grizzly2:1.19)
    mvn(com.sun.jersey.jersey-test-framework:jersey-test-framework-grizzly2:pom:1)
    mvn(com.sun.jersey.jersey-test-framework:jersey-test-framework-grizzly2:pom:1.19)
    mvn(com.sun.jersey.jersey-test-framework:jersey-test-framework-http:1)
    mvn(com.sun.jersey.jersey-test-framework:jersey-test-framework-http:1.19)
    mvn(com.sun.jersey.jersey-test-framework:jersey-test-framework-http:pom:1)
    mvn(com.sun.jersey.jersey-test-framework:jersey-test-framework-http:pom:1.19)
    mvn(com.sun.jersey.jersey-test-framework:jersey-test-framework-inmemory:1)
    mvn(com.sun.jersey.jersey-test-framework:jersey-test-framework-inmemory:1.19)
    mvn(com.sun.jersey.jersey-test-framework:jersey-test-framework-inmemory:pom:1)
    mvn(com.sun.jersey.jersey-test-framework:jersey-test-framework-inmemory:pom:1.19)
    mvn(com.sun.jersey:jersey-test-framework:pom:1)
    mvn(com.sun.jersey:jersey-test-framework:pom:1.19)
    osgi(com.sun.jersey.jersey-test-framework.core)
    osgi(com.sun.jersey.jersey-test-framework.external)
    osgi(com.sun.jersey.jersey-test-framework.grizzly2)
    osgi(com.sun.jersey.jersey-test-framework.http)
    osgi(com.sun.jersey.jersey-test-framework.inmemory)



Source checksums
----------------
https://github.com/jersey/jersey-1.x/archive/1.19.tar.gz :
  CHECKSUM(SHA256) this package     : 9bbb4dfd03b5fe9763a55cbbfec81a3b0c1b4b3bc673bb82c525eee92d4f3912
  CHECKSUM(SHA256) upstream package : 9bbb4dfd03b5fe9763a55cbbfec81a3b0c1b4b3bc673bb82c525eee92d4f3912
http://www.apache.org/licenses/LICENSE-2.0.txt :
  CHECKSUM(SHA256) this package     : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
  CHECKSUM(SHA256) upstream package : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -b 1223831 -P Java:on -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 gil cattaneo 2015-05-25 20:41:06 UTC
Spec URL: https://gil.fedorapeople.org/jersey1.spec
SRPM URL: https://gil.fedorapeople.org/jersey1-1.19-2.fc20.src.rpm

- remove duplicates files
- remove unused with_grizzly declaration

Comment 8 Roland Grunberg 2015-05-25 21:07:13 UTC
Thanks for fixing these!

================
*** APPROVED ***
================

Comment 9 gil cattaneo 2015-05-25 21:17:27 UTC
thanks to you for review and patience

New Package SCM Request
=======================
Package Name: jersey1
Short Description: JAX-RS (JSR 311) production quality Reference Implementation
Upstream URL: http://jersey.java.net/
Owners: gil
InitialCC: java-sig

Comment 10 Gwyn Ciesla 2015-05-25 22:59:56 UTC
Git done (by process-git-requests).

Comment 11 gil cattaneo 2015-05-28 16:46:37 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9867145


Note You need to log in before you can comment on or make changes to this bug.